Module | Sequel::MySQL::Dataset::CallableStatementMethods
In: | lib/sequel/adapters/mysql.rb

Methods to add to MySQL prepared statement calls without using a real database prepared statement and bound variables.

### Methods

subselect_sql

### Public Instance methods

subselect_sql(ds)

Extend given dataset with this module so subselects inside subselects in prepared statements work.

[Source]

         # File lib/sequel/adapters/mysql.rb, line 257
    257:         def subselect_sql(ds)
    258:           ps = ds.to_prepared_statement(:select)
    259:           ps.extend(CallableStatementMethods)
    260:           ps = ps.bind(@opts[:bind_vars]) if @opts[:bind_vars]
    261:           ps.prepared_args = prepared_args
    262:           ps.prepared_sql
    263:         end

[Validate]